### Hierarchy

- SkeletonText

### Implements

- OnChanges

## Index

### Inputs

- lines
- maxLineWidth
- minLineWidth

### Properties

- lineWidths
- lines
- maxLineWidth
- minLineWidth

### Methods

- getRandomInt
- ngOnChanges

## Properties

### lineWidths

lineWidths: Array<string>

- Defined in src/skeleton/skeleton-text.component.ts:20

### lines

@Input()
lines: number = 5

- Defined in src/skeleton/skeleton-text.component.ts:14

### maxLineWidth

@Input()
maxLineWidth: number = 300

- Defined in src/skeleton/skeleton-text.component.ts:18

### minLineWidth

@Input()
minLineWidth: number = 100

- Defined in src/skeleton/skeleton-text.component.ts:16

## Methods

### getRandomInt

- getRandomInt(min: any, max: any): string

- - Defined in src/skeleton/skeleton-text.component.ts:25

  #### Parameters

  - ##### min: any

  - ##### max: any

  #### Returns string

### ngOnChanges

- ngOnChanges(): void

- - Defined in src/skeleton/skeleton-text.component.ts:29

  #### Returns void

Generated using TypeDoc